Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.mail.smime.examples
Class ReadEncryptedMail

    java.lang.Object
      org.bouncycastle.mail.smime.examples.ReadEncryptedMail

    public class ReadEncryptedMail

extends java.lang.Object

a simple example that reads an encrypted email.

The key store can be created using the class in org.bouncycastle.jce.examples.PKCS12Example - the program expects only one key to be present.

Constructor Summary
`ReadEncryptedMail()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadEncryptedMail

    public ReadEncryptedMail()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.40